import {get, post, put, del} from '../http/http'

const dashboard = {
  getCountries() {
    return get("base/getCountries")
  },
  getProviderByCode(countryCode) {
    return get("dashboard/providers", {countryCode})
  },
  getSummaryCard(params) {
    return get("dashboard/top-cards", params)
  },
  getHourlyUtilization(params) {
    return get('dashboard/hourly-usages', params)
  },
  getStatisticsCard(params) {
    return get('dashboard/bottom-cards', params)
  },
  getRangeTab() {
    return get('dashboard/getBottomTab')
  },
  getRangeTabV3() {
    return get('dashboard/bottom-tabs')
  },
  getBarChart(params) {
    return get('dashboard/bottom-chart', params)
  },
  getRevenueTracking(params) {
    return get("dashboard/revenue-tracking", params)
  },
  getIncidendtsData(params) {
    return get("dashboard/incidents", params)
  },
  getConnectorsData(params) {
    return get("dashboard/connectors", params)
  }
}

export default dashboard